const PosCtrl = require('../controllers/pos');

const posRoutes = (router) => {
    const posCtrl = new PosCtrl();

    // DeviceController
    router.route('/device').get(posCtrl.device);
    router.route('/device/cashAmount').post(posCtrl.cashAmount);
    router.route('/device/updateSettings').post(posCtrl.updateSettings);
    router.route('/device/sendError').post(posCtrl.sendError);
    router.route('/device/errorCodes').get(posCtrl.errorCodes);
    router.route('/device/reboot').get(posCtrl.reboot);
    router.route('/device/shutdown').get(posCtrl.shutdown);
    router.route('/device/restart').get(posCtrl.restart);
    router.route('/device/updateCounter').get(posCtrl.updateCounter);
}

module.exports = posRoutes;
